rollup-plugin-javascript-obfuscator
==========================
[![Build Status](https://travis-ci.org/Wain-PC/rollup-plugin-javascript-obfuscator.svg?branch=master)](https://travis-ci.org/Wain-PC/rollup-plugin-javascript-obfuscator)
[![Coverage Status](https://coveralls.io/repos/github/Wain-PC/rollup-plugin-javascript-obfuscator/badge.svg?branch=master)](https://coveralls.io/github/Wain-PC/rollup-plugin-javascript-obfuscator?branch=master)

Rollup plugin designed mainly for use with [node-config](https://github.com/lorenwest/node-config) (though you can pass any object you want).

## Installation

Install the package:

- npm `npm install --save-dev rollup-plugin-javascript-obfuscator`
- yarn `yarn add --dev rollup-plugin-javascript-obfuscator`

## Usage

Pass any object with a single root node to the plugin (it can be named anything you want). 

```javascript
import { rollup } from 'rollup'
import configPlugin from 'rollup-plugin-javascript-obfuscator'

	const configObject = {
		one: 1,
		two: 2,
		three: {
			four: 'four'
		}
	};
	
	rollup({
		entry: 'main.js',
		plugins: [
			configPlugin({CONFIG: configObject}) //Now you can use values like CONFIG.one or CONFIG.three.four in your code
		]
	})

```

Use that node name as a global variable in your script.
```javascript
console.log(CONFIG.one + CONFIG.two)
```

It'll get replaced with an actual value from the object you provided.
```javascript
console.log(1 + 2)
```