import JavaScriptObfuscator from 'javascript-obfuscator';

function replaceConfig(options) {
	if ( options === void 0 ) options = {};

	return {
		name: 'javascript-obfuscator',

		transformBundle: function transformBundle(code) {
			var obfuscationResult = JavaScriptObfuscator.obfuscate(String(code), options);
			var result = {code: obfuscationResult.getObfuscatedCode()};

			if (options.sourceMap && options.sourceMapMode !== 'inline') {
				result.map = obfuscationResult.getSourceMap();
			}

			return result;
		}
	};

}

export default replaceConfig;
//# sourceMappingURL=rollup-plugin-javascript-obfuscator.es.js.map
